Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2819183002: [DevTools] Consolidate overlay-related functionality in Overlay domain (Closed)

Created:
7 months, 1 week ago by dgozman
Modified:
7 months ago
Reviewers:
Sami, pfeldman
CC:
chromium-reviews, caseq+blink_chromium.org, mlamouri+watch-blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, dcheng, devtools-reviews_chromium.org, blink-reviews, kinuko+watch, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[DevTools] Consolidate overlay-related functionality in Overlay domain This turns InspectorOverlay into InspectorOverlayAgent with respective lifetime and domain: - rendering domain merges into overlay; - Page.configureOverlay moves to overlay; - highlighting and inspect mode move from DOM to overlay. BUG=none TBR=skyostil@chromium.org Review-Url: https://codereview.chromium.org/2819183002 Cr-Original-Original-Original-Commit-Position: refs/heads/master@{#465422} Committed: https://chromium.googlesource.com/chromium/src/+/8982f602a8e1f521949d8dd8dae58cff1c787bec Review-Url: https://codereview.chromium.org/2819183002 Cr-Original-Original-Commit-Position: refs/heads/master@{#465812} Committed: https://chromium.googlesource.com/chromium/src/+/7afbb9a64fbd30254a2dab9a689648621fa29f14 Review-Url: https://codereview.chromium.org/2819183002 Cr-Original-Commit-Position: refs/heads/master@{#466489} Committed: https://chromium.googlesource.com/chromium/src/+/c8abe8c3b07d77195777e07180a4122f4d50246a Review-Url: https://codereview.chromium.org/2819183002 Cr-Commit-Position: refs/heads/master@{#466826} Committed: https://chromium.googlesource.com/chromium/src/+/3b36efad6b17e10ae243a8668528aae310a312da

Patch Set 1 #

Patch Set 2 : frontend #

Patch Set 3 : rebased #

Total comments: 7

Patch Set 4 : addressed review comments #

Patch Set 5 : screencast fix #

Patch Set 6 : headless compile #

Patch Set 7 : fixing leak #

Patch Set 8 : rebased bad merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1299 lines, -2352 lines) Patch
M content/browser/devtools/protocol/schema_handler.cc View 1 1 chunk +31 lines, -8 lines 0 comments Download
M headless/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +0 lines, -1 line 0 comments Download
M headless/lib/browser/headless_devtools_client_impl.h View 1 2 3 4 5 3 chunks +0 lines, -3 lines 0 comments Download
M headless/lib/browser/headless_devtools_client_impl.cc View 1 2 3 4 5 2 chunks +0 lines, -5 lines 0 comments Download
M headless/public/headless_devtools_client.h View 1 2 3 4 5 2 chunks +0 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/inspector/elements-test.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/inspector/inspector-test.js View 1 2 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector-protocol/dom/dom-setInspectModeEnabled.html View 1 1 chunk +3 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/agents-enable-disable-expected.txt View 1 2 chunks +4 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/elements/inspect-mode-after-profiling.html View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/elements/inspect-mode-shadow-text.html View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/elements/inspect-pointer-events-none.html View 1 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/elements/inspect-pseudo-element.html View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/layers/no-overlay-layers.html View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/profiler/agents-disabled-check-expected.txt View 1 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/BUILD.gn View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h View 1 2 3 9 chunks +6 lines, -68 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorDOMAgent.cpp View 1 2 3 4 5 6 7 9 chunks +27 lines, -263 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorOverlayHost.h View 1 chunk +6 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorOverlayHost.cpp View 1 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorPageAgent.h View 2 chunks +0 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorPageAgent.cpp View 4 chunks +0 lines, -22 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/browser_protocol.json View 1 2 3 8 chunks +137 lines, -112 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/inspector_protocol_config.json View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/BUILD.gn View 1 2 3 4 5 6 7 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/accessibility/AXTreePane.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/accessibility/AccessibilityModel.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/components/DOMPresentationUtils.js View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/ElementsBreadcrumbs.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/ElementsPanel.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/ElementsTreeElementHighlighter.js View 1 1 chunk +3 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/ElementsTreeOutline.js View 1 3 chunks +5 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/InspectElementModeController.js View 1 3 chunks +19 lines, -19 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/MetricsSidebarPane.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/elements/StylesSidebarPane.js View 1 2 3 4 5 6 7 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/emulation/DeviceModeModel.js View 1 2 3 4 5 6 7 2 chunks +6 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/emulation/DeviceModeView.js View 1 2 3 4 5 6 7 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/emulation/TouchModel.js View 1 4 chunks +12 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/layer_viewer/LayerViewHost.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/main/Main.js View 1 2 3 4 5 6 7 3 chunks +2 lines, -3 lines 0 comments Download
D third_party/WebKit/Source/devtools/front_end/main/OverlayController.js View 1 1 chunk +0 lines, -43 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/main/RenderingOptions.js View 1 2 3 3 chunks +21 lines, -48 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/main/module.json View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/object_ui/ObjectPopoverHelper.js View 1 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/object_ui/ObjectPropertiesSection.js View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/resources/ResourcesSection.js View 1 1 chunk +3 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/screencast/ScreencastView.js View 1 2 3 7 chunks +14 lines, -14 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sdk/DOMModel.js View 1 2 3 4 5 6 11 chunks +6 lines, -246 lines 0 comments Download
A third_party/WebKit/Source/devtools/front_end/sdk/OverlayModel.js View 1 2 3 4 1 chunk +320 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sdk/module.json View 1 2 3 2 chunks +29 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sources/NavigatorView.js View 1 2 3 4 5 6 7 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/timeline/TimelineFlameChartView.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +2 lines, -4 lines 0 comments Download
D third_party/WebKit/Source/web/InspectorOverlay.h View 1 2 1 chunk +0 lines, -171 lines 0 comments Download
D third_party/WebKit/Source/web/InspectorOverlay.cpp View 1 2 3 4 5 1 chunk +0 lines, -827 lines 0 comments Download
A + third_party/WebKit/Source/web/InspectorOverlayAgent.h View 1 2 3 4 5 6 7 chunks +92 lines, -41 lines 0 comments Download
A + third_party/WebKit/Source/web/InspectorOverlayAgent.cpp View 1 2 3 4 5 6 31 chunks +464 lines, -129 lines 0 comments Download
D third_party/WebKit/Source/web/InspectorRenderingAgent.h View 1 chunk +0 lines, -48 lines 0 comments Download
D third_party/WebKit/Source/web/InspectorRenderingAgent.cpp View 1 chunk +0 lines, -126 lines 0 comments Download
M third_party/WebKit/Source/web/WebDevToolsAgentImpl.h View 5 chunks +3 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/web/WebDevToolsAgentImpl.cpp View 1 16 chunks +27 lines, -48 lines 0 comments Download
M third_party/WebKit/Source/web/WebFrameWidgetImpl.h View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/WebFrameWidgetImpl.cpp View 1 2 3 4 5 6 7 4 chunks +5 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewImpl.h View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewImpl.cpp View 1 2 3 4 5 6 7 5 chunks +6 lines, -6 lines 0 comments Download

Messages

Total messages: 64 (47 generated)
dgozman
Could you please take a look?
7 months, 1 week ago (2017-04-18 00:03:11 UTC) #8
pfeldman
lgtm Please test show size on resize, screencast highlighter override. https://codereview.chromium.org/2819183002/diff/40001/third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h File third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h (right): https://codereview.chromium.org/2819183002/diff/40001/third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h#newcode220 ...
7 months, 1 week ago (2017-04-18 00:25:08 UTC) #9
dgozman
https://codereview.chromium.org/2819183002/diff/40001/third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h File third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h (right): https://codereview.chromium.org/2819183002/diff/40001/third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h#newcode220 third_party/WebKit/Source/core/inspector/InspectorDOMAgent.h:220: protocol::Response NodeForRemoteId(const String& id, Node*&); On 2017/04/18 00:25:08, pfeldman ...
7 months, 1 week ago (2017-04-18 20:39:32 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2819183002/80001
7 months, 1 week ago (2017-04-18 22:51:21 UTC) #20
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/8982f602a8e1f521949d8dd8dae58cff1c787bec
7 months, 1 week ago (2017-04-18 23:35:42 UTC) #23
ojan
A revert of this CL (patchset #5 id:80001) has been created in https://codereview.chromium.org/2826833002/ by ojan@chromium.org. ...
7 months, 1 week ago (2017-04-18 23:54:25 UTC) #24
findit-for-me
Findit(https://goo.gl/kROfz5) confirmed this CL at revision 465422 as the culprit for failures in the build ...
7 months, 1 week ago (2017-04-19 00:05:38 UTC) #25
dgozman
TBR'ing skyostil@ for headless: we are removing rendering domain, which is unlikely to be used ...
7 months, 1 week ago (2017-04-19 21:30:47 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2819183002/100001
7 months, 1 week ago (2017-04-19 23:36:34 UTC) #36
commit-bot: I haz the power
Committed patchset #6 (id:100001) as https://chromium.googlesource.com/chromium/src/+/7afbb9a64fbd30254a2dab9a689648621fa29f14
7 months, 1 week ago (2017-04-19 23:45:52 UTC) #39
aboxhall
A revert of this CL (patchset #6 id:100001) has been created in https://codereview.chromium.org/2827183003/ by aboxhall@chromium.org. ...
7 months, 1 week ago (2017-04-20 01:32:24 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2819183002/120001
7 months ago (2017-04-21 21:45:04 UTC) #48
commit-bot: I haz the power
Committed patchset #7 (id:120001) as https://chromium.googlesource.com/chromium/src/+/c8abe8c3b07d77195777e07180a4122f4d50246a
7 months ago (2017-04-21 23:35:07 UTC) #51
Dirk Pranke
A revert of this CL (patchset #7 id:120001) has been created in https://codereview.chromium.org/2835843002/ by dpranke@chromium.org. ...
7 months ago (2017-04-23 04:32:40 UTC) #52
Sami
lgtm to remove.
7 months ago (2017-04-24 18:58:38 UTC) #58
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2819183002/140001
7 months ago (2017-04-24 21:38:33 UTC) #61
commit-bot: I haz the power
7 months ago (2017-04-24 23:48:04 UTC) #64
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/3b36efad6b17e10ae243a8668528...

Powered by Google App Engine
This is Rietveld efc10ee0f